/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Pricing;

/**
 * 
 * @author Rafius
 */
public interface PricingService extends GenericService<Pricing, Integer> {

	public void borrarFisico(Pricing pricing);

	public List<Pricing> buscar(String nombPricing, Empresa empresa,
			Short cantboleto, Integer cantdiasanticipacion,
			BigDecimal descuentoporcentaje, BigDecimal descuentoporcredondo);

	public List<Pricing> buscarPorNombre(String nombPricing);

	public void inativar(Pricing entidad);

	public void ativar(Pricing entidad);

	public Boolean clonarPricing(Integer pricingId, String nomePricing, boolean incluirPadraoPricingTipoPassagemPET);
	
	public List<Pricing> buscar(Integer pricingId, String nomepricing, Integer empresaId, Date dataViagemInicio,
								Date dataViagemFim, Integer origemId, Integer destinoId);

	/**
	 * Exclui pricings que possuem viagens com dias finalizadas iguais ou acima do informados.
	 * @param diasFimViagem
	 */
	public void excluirPricing(Integer diasFimViagem);
	
}
